security advisor kernel update version issue

marcuszan

Well-Known Member
Apr 19, 2018
64
5
8
Netherlands
cPanel Access Level
Root Administrator
Hi,

Using cpanel 74.04 on CentOS 7.5, elrepo kernel installed. I get tis message all the time form cpanel security advisor I need to upgrade my kernel :

Kernel The system kernel is at version “4.4.147-1.el7.elrepo.x86_64”, but an update is available: 3.10.0-862.9.1.el7.x86_64 Update the system (run “yum -y update” on the command line), and reboot the system.

Any ideas why cpanel doesnt recognize my elrepo kernel as being newer ?

BTW, no kernelcare installed

Thanks
 
Last edited by a moderator:

rpvw

Well-Known Member
Jul 18, 2013
1,101
462
113
UK
cPanel Access Level
Root Administrator

marcuszan

Well-Known Member
Apr 19, 2018
64
5
8
Netherlands
cPanel Access Level
Root Administrator
I tend to think the opposite direction and hope cpanel will support kernels newer than 3.10 actually.
A lot of CentOS users use the elrepo kernel. Specifically the LT version is something that is widely used.
It feels odd that a software package limits the user to an old kernel ?
 

cPanelLauren

Product Owner
Staff member
Nov 14, 2017
13,296
1,271
313
Houston
@marcuszan

As stated in the installation instructions provided by @rpvw
cPanel, Inc. supports all of the official production release kernels for these operating systems.
The kernel provided by elrepo is not an official production release of CentOS or RHEL and therefore not supported by cPanel. We don't test the product on other versions and as such can't guarantee they'll function as intended. If you'd like to see support for the kernel in the future you are more than welcome to open a feature request using the link in my signature.


Thanks!